<?php


namespace App\Http\Enum;

/**
 * 错误枚举类
 * Class ErrorEnum
 * @package App\Http\Enum
 */
class ErrorEnum
{
    //100开头对应的验证错误
    const ERROR_VALIDATE=[100,"参数验证失败"];
    const ERROR_ACCOUNT_EXIST=[103,"公众号不存在"];

    const VALIDATE_TOKEN=[403,"token已过期,请重新登录"];

    const ERROR_KFC_URL = [425,"KFC转链失败"];

    const ERROR_REDIS_LOCK = [426,"加锁失败"];

    const ERROR_EXIST_PLATFORM = [427,"平台类型不存在"];

    const ERROR_MEITUAN_LINK= [428,"美团转链失败"];

    const ERROR_ACCOUNT_ACCESS_TOKEN = [710,"accessToken获取失败"];

    const ERROR_WECHAT_ACCESS_TOKEN = [711,"微信accesstoken生成失败"];

    const ERROR_SYSTEM = [712,"系统错误"];

    const ERROR_EXIST_WEB_SITE = [713,"web站点不存在"];

    const ERROR_CASH_ENUGH = [714,"提现金额不满足条件"];

    const ERROR_REPEAT = [715,"操作频繁,请过后操作"];

    const ERROR_CASH=[716,"提现失败,请重新操作"];

    const ERROR_TRANS_LINK=[717,"转链失败"];

}