<?php


namespace App\Http\Enum;

/**
 * 平台子类型枚举类
 * Class PlatformTypeEnum
 * @package App\Http\Enum
 */
class PlatformTypeSonEnum
{
    /**
     * 饿了么外卖
     */
    const PLATFORM_TAOBAO_ELM = 1;

    /**
     * 美团外卖
     */
    const PLATFORM_MEITUAN_WAIMAI = 2;

    /**
     * 美团团购
     */
    const PLATFORM_MEITUAN_TUANGOU = 3;

    /**
     * 美团酒店
     */
    const PLATFORM_MEITUAN_JIUDIAN = 4;

    /**
     * 美团话费和团好货
     */
    const PLATFORM_MEITUAN_HUAFEI = 5;

    /**
     * 美团闪购
     */
    const PLATFORM_MEITUAN_SHANGOU = 6;

    /**
     * 美团优选
     */
    const PLATFORM_MEITUAN_YOUXUAN = 7;

    /**
     * 平台子类型集合
     */
    const PLATFORM_SON_MAP = [

        PlatformTypeEnum::PLATFORM_MEITUAN=>[
            PlatformTypeSonEnum::PLATFORM_MEITUAN_WAIMAI=>"美团外卖",
            PlatformTypeSonEnum::PLATFORM_MEITUAN_TUANGOU=>"美团团购",
            PlatformTypeSonEnum::PLATFORM_MEITUAN_JIUDIAN=>"美团酒店",
            PlatformTypeSonEnum::PLATFORM_MEITUAN_HUAFEI=>"美团话费&团好货",
            PlatformTypeSonEnum::PLATFORM_MEITUAN_SHANGOU=>"美团闪购",
            PlatformTypeSonEnum::PLATFORM_MEITUAN_YOUXUAN=>"美团优选",
        ],
        PlatformTypeEnum::PLATFORM_TAOBAO=>[
            PlatformTypeSonEnum::PLATFORM_TAOBAO_ELM=>"饿了么外卖"
        ]
    ];
}