<?php


namespace App\Http\Validate;


use Illuminate\Support\Facades\Validator;

class WechatControllerValidate extends BaseValidate
{
    /**
     * 设置菜单参数校验
     * @param $data
     */
    public function setMenu($data)
    {
        $validate = Validator::make($data,
            [
                "wechat_app_code"=>"required",
            ]
        );
        if($validate->fails()){
            //验证错误
            $this->setError($validate->errors()->first());
            return false;
        }
        return true;
    }
}