<?php


namespace App\Models;


use App\Http\Utils\BaseUtil;

class WechatAccountMenuConfigModel extends BaseModel
{
    protected $table = "wechat_account_menu_config";

    /**
     * 获取有效的下级菜单
     * @param $parentId int 上级
     */
    public static function getMenuByParentId($parentId)
    {
        return self::query()->where("menu_status",1)
            ->where("menu_parent_id",$parentId)
            ->where("wechat_app_code",BaseUtil::getAppCodeByQuery())
            ->orderBy("menu_sort_id","asc")
            ->get();
    }
}