<?php


namespace App\Http\Bean\Controller\Buy;


/**
 * @SWG\Definition(
 * )
 */
class GetGoodsListResultBean
{
    /**
     * @SWG\Property(
     *     description="总数量"
     * )
     * @var string
     */
    public $total;

    /**
     * @SWG\Property(
     *     description="数据",
     *     @SWG\Items(
     *          @SWG\Property(
     *              property="goods_name",
     *              type="string",
     *              description="商品名称"
     *          ),
     *          @SWG\Property(
     *              property="goods_thumb_url",
     *              type="string",
     *              description="商品图片"
     *          ),
     *          @SWG\Property(
     *              property="market_price",
     *              type="string",
     *              description="市场价格"
     *          ),
     *          @SWG\Property(
     *              property="price",
     *              type="string",
     *              description="优惠价"
     *          ),
     *          @SWG\Property(
     *              property="goods_id",
     *              type="string",
     *              description="商品ID"
     *          ),
     *          @SWG\Property(
     *              property="commission",
     *              type="string",
     *              description="佣金(单位为分)"
     *          )
     *     )
     * )
     * @var array
     */
    private $list;
}