<?php


namespace App\Http\Bean\Util\Jutuike;


use App\Http\Bean\BaseBean;

class GetOrderListParamBean extends BaseBean
{
    /**
     * 开始时间
     */
    public $start_time;

    /**
     * 结束时间
     */
    public $end_time;

    /**
     * 1： 按支付时间 2：按更新时间 3：创建时间 ，默认：3
     */
    public $query_type;

    /**
     * 订单统一状态，0：未付款 1：已付款 2：待结算 3：已结算 4：无效订单
     */
    public $status;

    /**
     * 订单编号
     */
    public $order_sn;

    /**
     * 页码
     */
    public $page;

    /**
     * 每页显示多少 默认 20 最大 100
     */
    public $pageSize;

    /**
     * @return mixed
     */
    public function getStartTime()
    {
        return $this->start_time;
    }

    /**
     * @param mixed $start_time
     */
    public function setStartTime($start_time): void
    {
        $this->start_time = $start_time;
    }

    /**
     * @return mixed
     */
    public function getEndTime()
    {
        return $this->end_time;
    }

    /**
     * @param mixed $end_time
     */
    public function setEndTime($end_time): void
    {
        $this->end_time = $end_time;
    }

    /**
     * @return mixed
     */
    public function getQueryType()
    {
        return $this->query_type;
    }

    /**
     * @param mixed $query_type
     */
    public function setQueryType($query_type): void
    {
        $this->query_type = $query_type;
    }

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param mixed $status
     */
    public function setStatus($status): void
    {
        $this->status = $status;
    }

    /**
     * @return mixed
     */
    public function getOrderSn()
    {
        return $this->order_sn;
    }

    /**
     * @param mixed $order_sn
     */
    public function setOrderSn($order_sn): void
    {
        $this->order_sn = $order_sn;
    }

    /**
     * @return mixed
     */
    public function getPage()
    {
        return $this->page;
    }

    /**
     * @param mixed $page
     */
    public function setPage($page): void
    {
        $this->page = $page;
    }

    /**
     * @return mixed
     */
    public function getPageSize()
    {
        return $this->pageSize;
    }

    /**
     * @param mixed $pageSize
     */
    public function setPageSize($pageSize): void
    {
        $this->pageSize = $pageSize;
    }
}