<?php


namespace App\Http\Bean\Util\KenDeJi;


use App\Http\Bean\BaseBean;

class GetKfcOrdersParamBean extends BaseBean
{
    /**
     * @var $startTime string 开始时间
     */
    private $startTime;

    /**
     * @var string $endTime 结束时间
     */
    private $endTime;

    /**
     * @var int $queryType 查询类型(1-支付时间 2-最后更新时间 3-创建时间 默认3)
     */
    private $queryType;

    /**
     * @var string $orderNo 订单编号
     */
    private $orderNo;

    /**
     * @var string $sid 推广位id
     */
    private $sid;

    /**
     * @var int $status 订单状态 0:待付款 5:排队中 15:交易成功 -5:已取消
     */
    private $status;

    /**
     * @var int $page 第几页
     */
    private $page;

    /**
     * @var int $pageSize 每页数量
     */
    private $pageSize;

    /**
     * @return string
     */
    public function getStartTime(): string
    {
        return $this->startTime;
    }

    /**
     * @param string $startTime
     */
    public function setStartTime(string $startTime): void
    {
        $this->startTime = $startTime;
    }

    /**
     * @return string
     */
    public function getEndTime(): string
    {
        return $this->endTime;
    }

    /**
     * @param string $endTime
     */
    public function setEndTime(string $endTime): void
    {
        $this->endTime = $endTime;
    }

    /**
     * @return int
     */
    public function getQueryType(): int
    {
        return $this->queryType;
    }

    /**
     * @param int $queryType
     */
    public function setQueryType(int $queryType): void
    {
        $this->queryType = $queryType;
    }

    /**
     * @return string
     */
    public function getOrderNo(): string
    {
        return $this->orderNo;
    }

    /**
     * @param string $orderNo
     */
    public function setOrderNo(string $orderNo): void
    {
        $this->orderNo = $orderNo;
    }

    /**
     * @return string
     */
    public function getSid(): string
    {
        return $this->sid;
    }

    /**
     * @param string $sid
     */
    public function setSid(string $sid): void
    {
        $this->sid = $sid;
    }

    /**
     * @return int
     */
    public function getStatus(): int
    {
        return $this->status;
    }

    /**
     * @param int $status
     */
    public function setStatus(int $status): void
    {
        $this->status = $status;
    }

    /**
     * @return int
     */
    public function getPage(): int
    {
        return $this->page;
    }

    /**
     * @param int $page
     */
    public function setPage(int $page): void
    {
        $this->page = $page;
    }

    /**
     * @return int
     */
    public function getPageSize(): int
    {
        return $this->pageSize;
    }

    /**
     * @param int $pageSize
     */
    public function setPageSize(int $pageSize): void
    {
        $this->pageSize = $pageSize;
    }
}