<?php


namespace App\Http\Bean\Util\Meituan;


use App\Http\Bean\BaseBean;

class OrderListParamBean extends BaseBean
{
    /**
     * appkey
     * @var string $appkey
     */
    private $appkey;

    /**
     * 订单类型(0团购订单2酒店订单4外卖订单5话费订单6闪购订单)
     * @var int $type
     */
    private $type;

    /**
     * 开始时间戳
     * @var int $startTime
     */
    private $startTime;

    /**
     * 结束时间戳
     * @var int $endTime
     */
    private $endTime;

    /**
     * 第几页
     * @var int $page
     */
    private $page;

    /**
     * 每页数量
     * @var int $limit
     */
    private $limit;

    /**
     * 查询时间类型(1按订单支付时间2按订单发生修改时间)
     * @var int $queryTimeType
     */
    private $queryTimeType;

    /**
     * @return string
     */
    public function getAppkey(): string
    {
        return $this->appkey;
    }

    /**
     * @param string $appkey
     */
    public function setAppkey(string $appkey): void
    {
        $this->appkey = $appkey;
    }

    /**
     * @return int
     */
    public function getType(): int
    {
        return $this->type;
    }

    /**
     * @param int $type
     */
    public function setType(int $type): void
    {
        $this->type = $type;
    }

    /**
     * @return int
     */
    public function getStartTime(): int
    {
        return $this->startTime;
    }

    /**
     * @param int $startTime
     */
    public function setStartTime(int $startTime): void
    {
        $this->startTime = $startTime;
    }

    /**
     * @return int
     */
    public function getEndTime(): int
    {
        return $this->endTime;
    }

    /**
     * @param int $endTime
     */
    public function setEndTime(int $endTime): void
    {
        $this->endTime = $endTime;
    }

    /**
     * @return int
     */
    public function getPage(): int
    {
        return $this->page;
    }

    /**
     * @param int $page
     */
    public function setPage(int $page): void
    {
        $this->page = $page;
    }

    /**
     * @return int
     */
    public function getLimit(): int
    {
        return $this->limit;
    }

    /**
     * @param int $limit
     */
    public function setLimit(int $limit): void
    {
        $this->limit = $limit;
    }

    /**
     * @return int
     */
    public function getQueryTimeType(): int
    {
        return $this->queryTimeType;
    }

    /**
     * @param int $queryTimeType
     */
    public function setQueryTimeType(int $queryTimeType): void
    {
        $this->queryTimeType = $queryTimeType;
    }
}