<?php


namespace App\Models;


class WechatAccountModel extends BaseModel
{
    protected  $table = "wechat_account";

    public static function findByWechatAppCode($code)
    {
        return self::query()->where("wechat_app_code",$code)->first();
    }

    /**
     * 获取微信公众号信息
     * @param $wechatAppId string 微信公众号appId
     */
    public static function findByWechatAppId($wechatAppId)
    {
        return self::query()->where("wechat_app_id",$wechatAppId)->first();
    }
}